Package org.eclipse.rap.rwt.engine

## Class RWTServletContextListener

- java.lang.Object
- - org.eclipse.rap.rwt.engine.RWTServletContextListener

    public class RWTServletContextListener
    extends java.lang.Object

A ServletContextListener that creates and starts an RWT application on initialization and stops it on shutdown. The application to start is read from the init parameter `org.eclipse.rap.applicationConfiguration`.

Since:
  2.0

### Constructor Summary

Constructors
`RWTServletContextListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `contextDestroyed​(ServletContextEvent event)`
`void` `contextInitialized​(ServletContextEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RWTServletContextListener

    public RWTServletContextListener()

### Method Detail

#### contextInitialized

    public void contextInitialized​(ServletContextEvent event)

#### contextDestroyed

    public void contextDestroyed​(ServletContextEvent event)